Most Recent Firefox Supported by 1Password

Since Firefox has been racing with updates, I'm constantly being nagged to update it.
I've recently gone from 4x to 10x. 1Password works fine. Now FF is urging me to
update to v11. In the past, when I've updated FF, 1Password has not always been
released to work in the latest version of FF.

How do I know what the most current FF release 1Password supports is?

Thanks!
Rick

Comments

  • 1Password supports the latest Firefox version (at the time of this writing: Firefox 12), but you might need to re-install our extension here: File > Preferences (Ctrl+P) > Browsers
  • khadkhad Social Choreographer

    Team Member
    I would also add to what Stefan wrote that the current extension already works in future versions of Firefox thanks to Mozilla's JetPack APIs. We used to have to recompile a new version of the extension with each Firefox update. That is no longer the case. It would be a nightmare now that Mozilla has ramped up the Firefox release cycle. Excluding any bugs, etc., the current extension should work in all future Firefox releases. It has already been working in Firefox for several versions at this point. ;)

    Cheers,
  • Got it gentlemen. Didn't realize the extension was forward-compatible. Thanks for the help with this GREAT product!
  • khadkhad Social Choreographer

    Team Member
    No problem at all. We are happy to help! Thanks for the kind words. :D
This discussion has been closed.